﻿using System;
using XingAPINet;

namespace t0167
{
    class Program
    {
        static void Main(string[] args)
        {
            Test(true);
        }

        static void Test(bool useDemoServer)
        {
            LoginInfo user = LoginInfo.FromPlainText("...id...",
                    "...password...",
                    "...인증서 password...");

            using (XingClient xing = new XingClient(useDemoServer))
            {
                if (xing.ConnectWithLogin(user) == false)
                {
                    Console.WriteLine(xing.ErrorMessage);
                    return;
                }

                XQt0167OutBlock outBlock = XQt0167.Get();
                // Console.WriteLine("dt == " + outBlock.dt);
                // Console.WriteLine("time == " + outBlock.time);

                outBlock.Dump(Console.Out, DumpOutputType.FormattedKeyValue);
            }
        }
    }
}
